package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.ActivityEvaluation;
import com.yonge.cooleshow.biz.dal.enums.SourceTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author: liweifan
 * @Data: 2022-08-04 10:19:49
 */
@ApiModel(value = "ActivityEvaluationVo对象", description = "评测活动表查询视图对象")
public class ActivityEvaluationVo extends ActivityEvaluation{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "曲目名称")
	private String musicSheetName;
	@ApiModelProperty(value = "标签")
	private String musicTagNames;
	@ApiModelProperty(value = "可用声部")
	private String subjectNames;
	@ApiModelProperty(value = "曲目来源: TEACHER 老师 PLATFORM 平台")
	private SourceTypeEnum sourceType;
	@ApiModelProperty(value = "销售价格")
	private BigDecimal musicPrice;

	@ApiModelProperty(value = "曲目声部ID")
	private String subjectId;

	public String getMusicSheetName() {
		return musicSheetName;
	}

	public void setMusicSheetName(String musicSheetName) {
		this.musicSheetName = musicSheetName;
	}

	public String getMusicTagNames() {
		return musicTagNames;
	}

	public void setMusicTagNames(String musicTagNames) {
		this.musicTagNames = musicTagNames;
	}

	public String getSubjectNames() {
		return subjectNames;
	}

	public void setSubjectNames(String subjectNames) {
		this.subjectNames = subjectNames;
	}

	public SourceTypeEnum getSourceType() {
		return sourceType;
	}

	public void setSourceType(SourceTypeEnum sourceType) {
		this.sourceType = sourceType;
	}

	public BigDecimal getMusicPrice() {
		return musicPrice;
	}

	public void setMusicPrice(BigDecimal musicPrice) {
		this.musicPrice = musicPrice;
	}

	public String getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(String subjectId) {
		this.subjectId = subjectId;
	}
}